package cz.jzitnik.game.sprites;

import cz.jzitnik.tui.Sprite;

import java.util.HashMap;

public class Hunger extends Sprite<Hunger.HungerState> {
    public enum HungerState {
        OFF, ON,
    }

    public Hunger() {
        loadResources(new HashMap<>() {
            {
                put(HungerState.OFF, "gui/hungerempty.ans");
                put(HungerState.ON, "gui/hungerfull.ans");
            }
        }, HungerState.class);
    }

    public String getSprite() {
        return getSprite(HungerState.OFF);
    }

    public String getSprite(HungerState e) {
        return getResource(e);
    }
}
